#!/bin/sh

die() {
        echo >&2 "$@"
        exit 1
}

usage() {
        die "Usage: $0 $USAGE"
}

USAGE='<source bit-file> <dest mcs-file>'
TEMP_FILE=`mktemp`

if [ $# -ne 2 ]; then
    usage
fi

if [ ! -r $1 ]; then
    die "Specified source file '$1' can't be read"
fi

DEST_DIR=`dirname $2`
DEST_FILE=`basename $2`

if [ ! -d $DEST_DIR ]; then
    die "Specified dir '$DEST_DIR' does not exist"
fi

if [ ! -w $DEST_DIR ]; then
    die "Doesn't have write permision for '$DEST_DIR'"
fi

promgen -w -p mcs -c FF -o $2  -u 0 $1  -x xc18v04

nkf -Lw $2 > $TEMP_FILE
mv $TEMP_FILE $2
